<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

get_header();
liza_get_breadcrumb();
$liza_post_classes = array(
	'liza_container',
	'liza_blur_on_aside',
	liza_get_prefered_option('sidebar_position'),
	liza_get_post_option('header_padding', 'liza_header_padding_yes')
);
$html = '';
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
        <div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_prefered_option('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content">
            <div class="liza_element_wrap liza_element_blog liza_index liza_tax_listing">       
				<?php
				while (have_posts()) : the_post();
					$html = '
					<div class="'.implode(" ", get_post_class('stand_post  liza_post_preview')).'" id="post-' . get_the_ID() . '">
						' . liza_get_post_formats() . '
						<div class="liza_title">
							<h3 class="innertitle entry-title"><a href="' . get_permalink() . '">' . get_the_title() . '</a></h3>
						</div>
						<div class="liza_meta">
							<div>' . get_the_date() . '</div>
							<div>' . get_the_author_posts_link() . '</div>';
			
					$categories = get_the_category();
					$separator = ', ';
					if (!empty($categories)) {
						$html .= '
							<div>';
						foreach ($categories as $category) {
							$html .= '<a href="' . esc_url(get_category_link($category->term_id)) . '" alt="' . esc_attr(sprintf(__('View all posts in %s', 'liza'), $category->name)) . '">' . esc_html($category->name) . '</a>' . esc_attr($separator);
						}
						$html = trim($html, esc_attr($separator));
						$html .= '
							</div>';
					}
			
					$html .= '
						</div>
						<div class="liza_excerpt">
							' . get_the_excerpt() . '
						</div>
						<div class="read_more_cont">
							<a href="' . get_permalink() . '">' . esc_html__('Read More', 'liza') . '</a>
						</div>
					</div>
					';
					echo $html;
				endwhile;
				wp_reset_query();
				echo get_the_posts_pagination(array(
					'prev_text' => __('<i class="fa fa-angle-left" aria-hidden="true"></i>', 'liza'),
					'next_text' => __('<i class="fa fa-angle-right" aria-hidden="true"></i>', 'liza'),
				));
				?>                
            </div>
        </div>
        <?php get_sidebar('sidebar'); ?>
    </div>

<?php

get_footer();