<?php

/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(array(
		'base' => 'pm_vc_button',
		'name' => esc_html__('Custom Button', 'liza'),
		"description" => esc_html__("Display custom button with link", "liza"),
		'category' => esc_html__('Pixel-Mafia', 'liza'),
		'icon' => 'liza_vc_elements_icon liza_button',
		'params' => array(
            array(
                "type" => "textfield",
                "heading" => esc_html__("Button Text", "liza"),
                "param_name" => "button_text",
                'value' => ''
            ),
            array(
                "type" => "vc_link",
                "heading" => esc_html__("Button Link", "liza"),
                "param_name" => "link",
                'value' => ''
            ),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Button Type', 'liza'),
				'param_name' => 'button_type',
				'admin_label' => true,
				'value' => array(
					esc_html__("Bordered", "liza") => 'liza_bordered_button',
					esc_html__("Solid", "liza") => 'liza_solid_button'
				)
			),
			array(
				'type' => 'dropdown',
				'heading' => esc_html__('Button Alignment', 'liza'),
				'param_name' => 'button_align',
				'admin_label' => true,
				'value' => array(
					esc_html__("Left", "liza") => 'left',
					esc_html__("Center", "liza") => 'center',
					esc_html__("Right", "liza") => 'right'
				)
			),

			array(
				'type' => 'css_editor',
				'heading' => esc_html__('CSS', 'liza'),
				'param_name' => 'custom_css',
				'group' => esc_html__('Design options', 'liza'),
			),

			array(
				'param_name' => 'custom_class',
				'heading' => esc_html__('Custom Class', 'liza'),
				'description' => '',
				'type' => 'textfield',
				'value' => '',
				'admin_label' => false,
				'weight' => 0,
				'group' => 'Design options',
			)		
		)
	));

}

if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Button extends WPBakeryShortCode
    {
    }
}
?>