<?php
add_pm_code('pm_categories_filter', 'pm_categories_filter_function', '');

function pm_categories_filter_function($settings, $value) {
	$pm_return = '<div class="pm_select_albums_wrapper"><div class="pm_select_albums_inner">';	

	$all_selected = '';
	if (empty($value) || $value == 'all') {
		$all_selected = 'selected';
	}
	
	$taxonomy = isset($settings['taxonomy']) ? $settings['taxonomy'] : 'albumscat';
	$args = array('taxonomy' => 'Category');
	$terms = get_terms($taxonomy, $args);
	
	if (is_array($terms) && count($terms) > 0) {
		$pm_return .= "<select class='pm_albums_selector'>";
		$pm_return .= "<option ". $all_selected ." value='all'>All</option>";
		foreach ($terms as $cat) {
			$this_slug = $cat->slug;
			if ($this_slug == $value) {
				$selected = "selected";
			} else {
				$selected = "";
			}
			$tempname = strtr($cat->name, array(
				' ' => '-',
				'+' => '-'
			));
			$tempname = strtolower($tempname);
			$pm_return .= "<option ". $selected ." value='". $tempname ."'>" . $cat->name . "</option>";
		}
		$pm_return .= "</select>";
	} else {
		$pm_return .= esc_html__("No category available. Please add new category in the gallery section.", "liza");
	}

	$pm_return .= '<input type="hidden" name="' . esc_attr( $settings['param_name'] ) . '" class="pm_select_albums_value wpb_vc_param_value" value="'. $value .'">';
	$pm_return .= "
	</div></div>";
	return $pm_return;
}
?>