<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

    global $liza_custom_css;
 
    $body_bg_color = liza_get_theme_mod('body_bg_color');
    $boxed_bg_color = liza_get_theme_mod('boxed_bg_color');
    $color_main = liza_get_theme_mod('color_main');
    $color_content = liza_get_theme_mod('color_content');
	$color_content_additional = liza_get_theme_mod('color_content_additional');
    $color_headings = liza_get_theme_mod('color_headings');
	$color_content_border = liza_get_theme_mod('color_content_border');
    $header_bg_color = liza_get_theme_mod('header_bg_color');
    $logo_text_color = liza_get_theme_mod('logo_text_color');
    $logo_text_hover = liza_get_theme_mod('logo_text_hover');
    $logo_text_color_transparent_header = liza_get_theme_mod('logo_text_color_transparent_header');
    $logo_text_hover_transparent_header = liza_get_theme_mod('logo_text_hover_transparent_header');
    $header_links_color = liza_get_theme_mod('header_links_color');
    $header_links_hover_color = liza_get_theme_mod('header_links_hover_color');
    $header_links_color_transparent_header = liza_get_theme_mod('header_links_color_transparent_header');
    $header_sub_menu_spacer_color = liza_get_theme_mod('header_sub_menu_spacer_color');
	$header_sub_menu_bg_color1 = liza_get_theme_mod('header_sub_menu_bg_color1');
	$header_sub_menu_bg_color2 = liza_get_theme_mod('header_sub_menu_bg_color2');
    $footer_bg_color = liza_get_theme_mod('footer_bg_color');
    $footer_border_color = liza_get_theme_mod('footer_border_color');
    $footer_logo_text_color = liza_get_theme_mod('footer_logo_text_color');
    $footer_logo_text_hover = liza_get_theme_mod('footer_logo_text_hover');
	$footer_text_color = liza_get_theme_mod('footer_text_color');
	$footer_links_color = liza_get_theme_mod('footer_links_color');
    $footer_links_hover_color = liza_get_theme_mod('footer_links_hover_color');

	$input_border_color = liza_get_theme_mod('input_border_color');
	$input_text_color = liza_get_theme_mod('input_text_color');
	
	$text_color_404 = liza_get_theme_mod('text_color_404');
	$cs_text_color = liza_get_theme_mod('cs_text_color');

    $h3_font_size = 40;
    $h3_line_height = 50;
    $h5_font_size = 18;
    $h5_line_height = 28;
    $h6_font_size = 13;
    $h6_line_height = 23;

    $liza_custom_css = '
	body {
		background-color: ' . $body_bg_color . ';
	}
    h1, h2, h3, h4, h5, h6,
	.liza_albums_ajax_item,
	.liza_counter_content .liza_stat_count {
        color: ' . $color_headings . ';
    }
    ';

    # Image Logo
    if (liza_get_theme_mod('logo_type') == 'image_logo') {
        $liza_logo_metadata = wp_get_attachment_metadata(attachment_url_to_postid(liza_get_theme_mod('logo_image')));
        $liza_logo_width = (isset($liza_logo_metadata['width']) ? $liza_logo_metadata['width'] : '290');
        $liza_logo_height = (isset($liza_logo_metadata['height']) ? $liza_logo_metadata['height'] : '118');

        $liza_custom_css .= '
        header .liza_image_logo {
            width: ' . absint($liza_logo_width) . 'px;
            height: ' . absint($liza_logo_height) . 'px;
            background: url("' . esc_url(liza_get_theme_mod('logo_image')) . '") 0 0 no-repeat transparent;
        }
        header .liza_logo_wrapper {
			padding-top: ' . absint(liza_get_theme_mod('logo_padding_top')) . 'px;
			padding-bottom: ' . absint(liza_get_theme_mod('logo_padding_bottom')) . 'px;
		}
		@media only screen and (max-width: 760px) {
			header .liza_logo_wrapper {
				padding-top: ' . absint(liza_get_theme_mod('logo_padding_top'))/2 . 'px;
				padding-bottom: ' . absint(liza_get_theme_mod('logo_padding_bottom'))/2 . 'px;
			}
			.liza_mobile_header_logo {
				padding-left:' . absint(liza_get_theme_mod('logo_padding_top'))/2 . 'px!important;
			}
			.liza_mobile_button_wrapper {
				padding-right:' . absint(liza_get_theme_mod('logo_padding_top'))/2 . 'px!important;
			}
			.liza_simple_slider_controls {
				margin-right:-5px;
				right:' . absint(liza_get_theme_mod('logo_padding_top'))/2 . 'px;
			}
		}
        ';

        # Retina
        if (liza_get_theme_mod('logo_retina') == true) {
            $liza_logo_width = $liza_logo_width / 2;
            $liza_logo_height = $liza_logo_height / 2;
            $liza_custom_css .= '
            header .liza_image_logo.liza_retina {
                width: ' . absint($liza_logo_width) . 'px;
                height: ' . absint($liza_logo_height) . 'px;
                background-size: ' . absint($liza_logo_width) . 'px ' . absint($liza_logo_height) . 'px;
            }
            ';
        }
        $liza_menu_lh_fix = 3;
    }

	if (liza_get_theme_mod('logo_type') == 'image_logo') {
		$liza_hlogo_width = absint($liza_logo_width);
	} else {
		$liza_hlogo_width = absint(liza_get_theme_mod('header_logo_text_width'));
	}
	
	# Header Parts
	$liza_custom_css .= '
			header.logo_center .liza_header_middle_part {
                width: ' . absint($liza_hlogo_width) . 'px;
			}
			header.logo_center .liza_header_left_part,
			header.logo_center .liza_header_right_part  {
				width:calc(50% - ' . absint(ceil($liza_hlogo_width/2)) . 'px);
			}
			header.logo_right .liza_header_right_part {
				width: ' . absint($liza_hlogo_width) . 'px;
			}		
			header.logo_right .liza_header_left_part {
				width: calc(100% - '. absint($liza_hlogo_width) .'px);
			}
		
	';	

    # Text Logo
    if (liza_get_theme_mod('logo_type') == 'text_logo') {
        $liza_logo_height = absint(liza_get_theme_mod('logo_text_size'));
        $liza_menu_lh_fix = 6;
        $liza_custom_css .= '
        header .liza_text_logo a {
            font-size: ' . absint(liza_get_theme_mod('logo_text_size')) . 'px;
            line-height: ' . absint(liza_get_theme_mod('logo_text_size')) . 'px;
            color: ' . $logo_text_color . ';
            font-weight: ' . liza_get_theme_mod('logo_text_weight') . ';
            font-style: ' . (liza_get_theme_mod('logo_text_style_italic') == true ? 'italic' : 'normal') . ';
            font-family:"' . liza_get_theme_mod('logo_text_font') . '";
            text-transform:' . (liza_get_theme_mod('logo_text_style_uppercase') == true ? 'uppercase' : 'none') . ';
			padding-top: ' . absint(liza_get_theme_mod('logo_padding_top')) . 'px;
			padding-bottom: ' . absint(liza_get_theme_mod('logo_padding_bottom')) . 'px;
        }
        .liza_transparent_header header .liza_text_logo a {
            color: ' . $logo_text_color_transparent_header . ';
        }
        header .liza_text_logo a:hover {
            color: ' . $logo_text_hover . ';
        }
        .liza_transparent_header header .liza_text_logo a:hover {
            color: ' . $logo_text_hover_transparent_header .';
        }
        ';
    }

    # Footer Image Logo
    if (liza_get_theme_mod('footer_logo_type') == 'image_logo') {
        $liza_footer_logo_metadata = wp_get_attachment_metadata(attachment_url_to_postid(liza_get_theme_mod('footer_logo_image')));
        $liza_footer_logo_width = (isset($liza_footer_logo_metadata['width']) ? $liza_footer_logo_metadata['width'] : '290');
        $liza_footer_logo_height = (isset($liza_footer_logo_metadata['height']) ? $liza_footer_logo_metadata['height'] : '118');		

        $liza_custom_css .= '
        footer .liza_image_logo {
            width: ' . absint($liza_footer_logo_width) . 'px;
            height: ' . absint($liza_footer_logo_height) . 'px;
            background: url("' . esc_url(liza_get_theme_mod('footer_logo_image')) . '") 0 0 no-repeat transparent;
        }
        ';

        # Footer Logo Retina
        if (liza_get_theme_mod('footer_logo_retina') == true) {
            $liza_footer_logo_width = $liza_footer_logo_width / 2;
            $liza_footer_logo_height = $liza_footer_logo_height / 2;
            $liza_custom_css .= '
            footer .liza_image_logo.liza_retina {
                width: ' . absint($liza_footer_logo_width) . 'px;
                height: ' . absint($liza_footer_logo_height) . 'px;
                background-size: ' . absint($liza_footer_logo_width) . 'px ' . absint($liza_footer_logo_height) . 'px;
            }
            ';
        }
    } else {
		$footer_logo_text_width = liza_get_theme_mod('footer_logo_text_width');
	}

    # Footer Text Logo
    if (liza_get_theme_mod('footer_logo_type') == 'text_logo') {
        $liza_footer_logo_height = absint(liza_get_theme_mod('footer_logo_text_size'));
        $liza_custom_css .= '
        body footer.liza_footer .liza_text_logo a {
            font-size: ' . absint(liza_get_theme_mod('footer_logo_text_size')) . 'px;
            line-height: ' . absint(liza_get_theme_mod('footer_logo_text_size')) . 'px;
            color: ' . $footer_logo_text_color . ';
            font-weight: ' . liza_get_theme_mod('footer_logo_text_weight') . ';
            font-style: ' . (liza_get_theme_mod('footer_logo_text_style_italic') == true ? 'italic' : 'normal') . ';
            font-family:"' . liza_get_theme_mod('footer_logo_text_font') . '";
            text-transform:' . (liza_get_theme_mod('footer_logo_text_style_uppercase') == true ? 'uppercase' : 'none') . ';
        }
        body footer.liza_footer .liza_text_logo a:hover {
            color: ' . $footer_logo_text_hover . ';
        }
        ';
    }

	# Form Fields
	$liza_custom_css .= '
        body input#coupon_code,
        body .liza_container .widget_product_search input[type="search"].search-field,
		select,
		input[type="search"],
		input[type="text"],
		input[type="number"],
		input[type="tel"],
		input[type="email"],
		input[type="password"],
		textarea {
			border-color: '. $input_border_color .';
			color: '. $input_text_color .';
		}
		input[type="tel"]::-webkit-input-placeholder,
		input[type="search"]::-webkit-input-placeholder,
		input[type="text"]::-webkit-input-placeholder,
		input[type="number"]::-webkit-input-placeholder,
		input[type="email"]::-webkit-input-placeholder,
		input[type="password"]::-webkit-input-placeholder,
		textarea::-webkit-input-placeholder {
			color: '. $input_text_color .';
		}

		input[type="search"]::-moz-placeholder {
			color: '. $input_text_color .';
		}

		input[type="text"]::-moz-placeholder {
			color: '. $input_text_color .';
		}

		input[type="number"]::-moz-placeholder {
			color: '. $input_text_color .';
		}

		input[type="tel"]::-moz-placeholder {
			color: '. $input_text_color .';
		}

		input[type="email"]::-moz-placeholder {
			color: '. $input_text_color .';
		}

		input[type="password"]::-moz-placeholder {
			color: '. $input_text_color .';
		}
		textarea::-moz-placeholder {
			color: '. $input_text_color .';
		}
        
        .liza_select {
            color:'. $input_text_color .';
            border:2px solid '. $input_border_color .';
            font-size: 13px;
            line-height: 20px;
        }

        .liza_tiny .liza_select_wrapper ul.select-options {
            border:2px solid '. $input_border_color .';
            border-top: none;
            background: '. $body_bg_color .';
        }
        .liza_tiny .liza_select_wrapper ul.select-options li {
            color: '. $color_content .';
            font-size: 13px;
        }
        .liza_tiny .liza_select_wrapper ul.select-options li:hover {
            color: '. $color_main .';
        }

	';
	# Typography 
    $liza_custom_css .= '
		* {
			font-family:"' . liza_get_theme_mod('main_font_family') . '";
		}
		p, td, div {
			color:' . $color_content . ';
			font-size: ' . liza_get_theme_mod('main_font_size') . 'px;
			font-weight: ' . liza_get_theme_mod('main_font_weight') . ';
			line-height: ' . liza_get_theme_mod('main_line_height') . 'px;
		}			
		h1, h2, h3, h4, h5, h6 {
			font-family: "' . liza_get_theme_mod('headings_font_family') . '";
			font-weight: ' . liza_get_theme_mod('headings_font_weight') . ';
		}
		.liza_mobile_header a,
		.liza_mobile_header span,
		.liza_header_wrapper span,
		.liza_header_wrapper a {
			 font-family:"' . liza_get_theme_mod('header_menu_font_family') . '";
			 font-weight:' . liza_get_theme_mod('header_menu_font_weight') . ';
		}
		.liza_mobile_menu ul.sub-menu > li > a, 
		.liza_aside_menu_wrapper ul.sub-menu > li > a,
		.liza_mobile_menu ul.liza_menu > li > a, 
		.liza_aside_menu_wrapper ul.liza_menu > li > a {
			font-family:"' . liza_get_theme_mod('header_menu_font_family') . '";
			font-weight:' . liza_get_theme_mod('header_menu_font_weight') . ';
		}
		a {
			color:'. $color_main .';
		}
		a:hover {
			color:'. $color_content .';
		}
        .wp-block-latest-comments__comment-date,
        body blockquote cite {
            color:'. $color_content_additional .';
        }
        .wp-block-latest-comments__comment a {
            color:'. $color_content_additional .';
        }
        .wp-block-latest-comments__comment a:hover {
            color:'. $color_main .';
        }
        
		blockquote:after {
			border-color: '. $body_bg_color .' transparent transparent transparent;
		}
		.liza_404_content_wrapper p, 
		.liza_cs_content_wrapper p {
			color:'. $color_content_additional .';
		}
		.search_wrapper404 input[type="text"] {
			border-color:'. $color_content_additional .';
		}
		.search_wrapper404 input[type="submit"] {
			background:'. $color_main .';
		}
		.search_wrapper404 input[type="submit"]:hover {
			background:'. $color_content_border .';
		}
		.liza_button, 
		a.liza_button {
			border-color:'. $color_content_additional .';
			color:'. $color_content_additional .';
		}
		.liza_button:hover, 
		a.liza_button:hover,
		a.liza_button.liza_solid_button {
			background:'. $color_main .';
			border-color:'. $color_main .';
			color:'. $color_content_additional .';
		}
		a.liza_button.liza_solid_button:hover {
			border-color:'. $color_content_additional .';
			color:'. $color_content_additional .';			
			background:rgba('. liza_HexToRGB($color_main) .', 0);
		}        
        .wp-block-button a.wp-block-button__link:not(.has-text-color) {
            color:'. $color_content_additional .';
        }
        body .wp-block-button a.wp-block-button__link:hover {
			background:'. $color_main .';
			color:'. $color_content_additional .';            
        }
        body .wp-block-button.is-style-outline a.wp-block-button__link:hover {
            border-color:'. $color_main .';
            background:'. $color_main .';
            color:'. $color_content_additional .';
        }
    ';
	
	if (liza_get_theme_mod('logo_type') == 'text_logo') {
		$sub_menu_padding = (absint($liza_logo_height) + absint(liza_get_theme_mod('logo_padding_top')) + absint(liza_get_theme_mod('logo_padding_bottom')))/2;
		$header_height = absint($liza_logo_height) + absint(liza_get_theme_mod('logo_padding_top')) + absint(liza_get_theme_mod('logo_padding_bottom'));
	} else {
		$sub_menu_padding = (absint($liza_logo_height) + absint(liza_get_theme_mod('logo_padding_top')) + absint(liza_get_theme_mod('logo_padding_bottom')))/2;
		$header_height = absint($liza_logo_height) + absint(liza_get_theme_mod('logo_padding_top')) + absint(liza_get_theme_mod('logo_padding_bottom'));
	}
	
    # Header Menu & Logo
    $liza_custom_css .= '
		header.liza_header .liza_header_bg {
			background: ' . $header_bg_color . ';
		}
        .liza_transparent_header .liza_mobile_header,
		.liza_transparent_header .liza_mobile_header_wrapper,
		html body.page-template-page-coming-soon .liza_mobile_header,
		.liza_transparent_header header.liza_header .liza_header_bg {
			background:none;
		}
		header.liza_header span {
			color:'.  $header_links_color .';
		}
		.liza_mobile_header a,
		header.liza_header a {
			color:'.  $header_links_color .';
		}
		.liza_transparent_header .liza_mobile_header_wrapper a,
		.liza_transparent_header header.liza_header a {
			color:'. $header_links_color_transparent_header .';
		}
		.liza_mobile_header a:hover,
		header.liza_header a:hover {
			color:'.  $header_links_hover_color .';
		}
		.liza_menu_opened a.liza_menu_toggler {
			color:rgba('. liza_HexToRGB($header_links_color) .', 0)!important;
		}
		a.liza_menu_toggler span.liza_menu_ico span {
			background:'.  $header_links_color .';
		}
		a.liza_menu_toggler:hover span.liza_menu_ico span {
			background:'.  $header_links_hover_color .';
		}

		.liza_transparent_header a.liza_menu_toggler span.liza_menu_ico span {
			background:'.  $header_links_color_transparent_header .';
		}
		.liza_transparent_header a.liza_menu_toggler:hover span.liza_menu_ico span {
			background:'.  $header_links_hover_color .';
		}

		.liza_transparent_header a.liza_menu_toggler:hover span.liza_menu_ico span {
			background:'.  $header_links_hover_color .';
		}
		.liza_social_icons_list li a {
			color:'. $header_links_color .';
		}
		.liza_social_icons_list li a:hover {
			color:'. $color_main .';
		}
		
		
		/* Aside Menu */
		.liza_aside_menu_wrapper {
			background: rgba('. liza_HexToRGB($header_bg_color) .', 0.9)!important;
		}
		.liza_aside_menu_wrapper nav.liza_main_nav {
			height:calc(100% - '. $header_height .'px - 120px);
			top:'. $header_height .'px;
		}
		.has_admin_bar .liza_aside_menu_wrapper nav.liza_main_nav {
			height:calc(100% - '. $header_height .'px - 120px - 32px);
		}
		.liza_aside_menu_wrapper a.liza_menu_toggler {
			top: '. $sub_menu_padding .'px;
		}
		.liza_mobile_menu,
		.liza_mobile_menu a,
		.liza_aside_menu_wrapper,
		.liza_aside_menu_wrapper a {
			color:'.  $header_links_color .';
		}
		.liza_aside_menu_share_label:before {
			background:'.  $header_links_color .';
		}
		.liza_aside_menu_wrapper a:hover {
			color:'.  $header_links_hover_color .';
		}
		.liza_mobile_menu ul li > a:before,
		.liza_aside_menu_wrapper ul li > a:before {
			background:'. $header_sub_menu_spacer_color .';
		}		
		.liza_aside_menu_wrapper ul.liza_menu > li:hover > a {
			color:'. $header_links_color .';
		}
		.liza_mobile_menu ul.liza_menu li.current-menu-parent > a,
		.liza_mobile_menu ul.liza_menu li.current-menu-item > a,
		.liza_mobile_menu ul.liza_menu li.current-menu-ancestor > a,
		.menu_simple_showed ul.liza_menu ul.sub-menu li.current-menu-parent > a,
		.menu_simple_showed ul.liza_menu ul.sub-menu li.current-menu-item > a,
		.menu_simple_showed ul.liza_menu ul.sub-menu li.current-menu-ancestor > a,
		.menu_simple_showed ul.liza_menu li:hover > a,
		.menu_simple ul.liza_menu ul.sub-menu li.current-menu-parent > a,
		.menu_simple ul.liza_menu ul.sub-menu li.current-menu-item > a,
		.menu_simple ul.liza_menu ul.sub-menu li.current-menu-ancestor > a,
		.menu_simple ul.liza_menu li:hover > a,
		.liza_aside_menu_wrapper ul.liza_menu li.current-menu-parent > a,
		.liza_aside_menu_wrapper ul.liza_menu li.current-menu-item > a,
		.liza_aside_menu_wrapper ul.liza_menu li.current-menu-ancestor > a,
		.liza_aside_menu_wrapper ul.liza_menu li:hover > a {
			color:'.  $color_main .';
		}
		
		
		/* Simple Menu */
		.menu_simple_showed ul.sub-menu,
		.menu_simple ul.sub-menu {
			padding-top:'. $sub_menu_padding .'px;			
		}
		.menu_simple_showed ul.sub-menu > li,
		.menu_simple ul.sub-menu > li {
			background:'. $header_sub_menu_bg_color1 .';
		}
		.menu_simple_showed ul.sub-menu ul.sub-menu > li,
		.menu_simple ul.sub-menu ul.sub-menu > li {
			background:'. $header_sub_menu_bg_color2 .';
		}
		.menu_simple_showed ul.sub-menu li > a:before,
		.menu_simple ul.sub-menu > li > a:before {
			background:'. $header_sub_menu_spacer_color .';
		}
		.liza_main_nav ul.liza_menu li:hover > a {
			color:'. $color_main .';
		}
		
		.menu_simple_showed ul.liza_menu > li.current-menu-parent > a:before,
		.menu_simple ul.liza_menu > li.current-menu-parent > a:before,
		.menu_simple_showed ul.liza_menu > li.current-menu-item > a:before,
		.menu_simple ul.liza_menu > li.current-menu-item > a:before,
		.menu_simple_showed ul.liza_menu > li.current-menu-ancestor > a:before,
		.menu_simple ul.liza_menu > li.current-menu-ancestor > a:before {
			background:'.  $header_links_color .';
		}
		.menu_simple_showed ul.liza_menu > li.current-menu-parent:hover > a:before,
		.menu_simple ul.liza_menu > li.current-menu-parent:hover > a:before,
		.menu_simple_showed ul.liza_menu > li.current-menu-item:hover > a:before,
		.menu_simple ul.liza_menu > li.current-menu-item:hover > a:before,
		.menu_simple_showed ul.liza_menu > li.current-menu-ancestor:hover > a:before,
		.menu_simple ul.liza_menu > li.current-menu-ancestor:hover > a:before {
			background:'.  $color_main .';
		}

    ';
	
    # Footer
	if (liza_get_theme_mod('footer_logo_type') == 'image_logo') {
		$liza_flogo_width = absint($liza_footer_logo_width);
	} else {
		$liza_flogo_width = absint($footer_logo_text_width);
	}		
    $liza_custom_css .= '
		footer.liza_footer {
			border-top:1px solid '. $footer_border_color .';
			background:'. $footer_bg_color .';
			padding-top:'. liza_get_theme_mod('footer_logo_padding_top') .'px;
			padding-bottom:'. liza_get_theme_mod('footer_logo_padding_bottom') .'px;
		}
		footer.liza_footer span,
		footer.liza_footer div,
		footer.liza_footer p {
			color:'. $footer_text_color .';
		}
		footer.liza_footer a {
			color:'. $footer_links_color .';
		}
		footer.liza_footer a:hover {
			color:'. $footer_links_hover_color .';
		}
		.liza_footer_left_part,
		.liza_footer_right_part {
			width:calc(50% - '. ceil(absint($liza_flogo_width)/2) .'px);
		}
		.liza_footer_middle_part {
			width:'. $liza_flogo_width .'px;
		';
		$liza_custom_css .= '
		}
    ';

    # Other
    $liza_custom_css .= '
		.liza_title_breadcrumb_wrapper a:hover {
			color:'.  $color_main .';
		}
		select option {
			background:'. $body_bg_color .';
		}
		input[type="button"]:hover,
		input[type="reset"]:hover,
		input[type="submit"]:hover {
			background:'. $color_main .';
		}
    ';
	
	# Widgets
	$liza_custom_css .= '
        ul.wp-block-latest-posts li a,
        ul.wp-block-archives-list li a,
        ul.wp-block-categories-list li a,
		.widget a {
			color:'. $color_content .';
		}
        ul.wp-block-latest-posts li a:hover,
        ul.wp-block-archives-list li a:hover,
        ul.wp-block-categories-list li a:hover,
		.widget a:hover {
			color:'. $color_main .';
		}
        .tagcloud a,
        .widget_product_tag_cloud .tagcloud a {
            background: transparent;
        }
        .widget_product_tag_cloud .tagcloud a:hover,
		.tagcloud a:hover {
			background:'. $color_main .';
			border-color:'. $color_main .';
		}
        .widget_product_tag_cloud .tagcloud a:hover,
		.widget .tagcloud a:hover {
			color:'. $color_content_additional .';
		}
		.liza_about_widget .liza_widget_socials a:hover {
			background:'. $color_main .';
		}
	';
	
	# Blog
	$liza_custom_css .= '
		.liza_meta,
		.liza_meta div,
		.liza_meta a {
			color:'. $color_content_additional .';
		}
		.liza_meta:before {
			background:'. $color_content_additional .';
		}
		.liza_meta a:hover {
			color:'. $color_main.';
		}
		.liza_element_blog .read_more_cont a,
		.liza_element_blog .read_more_cont a:hover {
			color:'. $color_content_additional .';			
		}
		.liza_element_blog .read_more_cont a:before {
			background:'. $color_content_additional .';
		}
        body.woocommerce .liza_container nav.woocommerce-pagination ul.page-numbers li span,
        body.woocommerce .liza_container nav.woocommerce-pagination ul.page-numbers li a,
		body .nav-links span,
		body .nav-links a {
			color:'. $color_content_additional .';
		}
        body.woocommerce .liza_container nav.woocommerce-pagination ul.page-numbers li span.current,
		body .nav-links span {
			background:'. $color_main .';
			border: 2px solid '. $color_main .';
		}
        body.woocommerce .liza_container nav.woocommerce-pagination ul.page-numbers li a,
		body .nav-links a {
			border: 2px solid '. $color_content_border .';
		}
        body.woocommerce .liza_container nav.woocommerce-pagination ul.page-numbers li a:hover,
		body .nav-links a:hover {
			border: 2px solid '. $color_content_additional .';
		}
		body .nav-links span.page-numbers.dots {
			border: 2px solid '. $color_content_border .';
		}

		.liza_title a:hover {
			color:'. $color_main .';
		}
		.liza_post_footer .liza_post_tags i,
		.liza_post_footer .liza_post_tags a,
		.liza_post_footer .liza_post_tags div {
			color:'. $color_content_additional .';
		}
		.liza_prev_post_content .liza_prev_link,
		.liza_next_post_content .liza_next_link {
			color:'. $color_content_additional .';
		}
		.liza_prev_post_content .liza_prev_link:before,
		.liza_next_post_content .liza_next_link:before {
			background:'. $color_content_additional .';
		}
		.liza_next_post a:hover h6,
		.liza_prev_post a:hover h6,
		.liza_next_post a:hover,
		.liza_prev_post a:hover {
			color:'. $color_main .';
		}
		.liza_next_post a:hover:before,
		.liza_prev_post a:hover:before {
			background:'. $color_main .';
		}
		.liza_post_title:hover h5 {
			color:'. $color_main .';
		}
		.liza_comment_info .liza_comment_author,
		.liza_comment_date {
			color:'. $color_content_additional .';
		}
		.liza_comment_reply_wrapper a {
			color:'. $color_content_additional .';
		}
		.liza_comment_reply_wrapper a:hover {
			color:'. $color_main .';
		}
		.liza_comment_reply_wrapper a:before {
			background:'. $color_content_additional .';
		}
		.liza_comment_reply_wrapper a:hover:before {
			background:'. $color_main .';
		}
	';
	
	# Modules and Templates
	$liza_custom_css .= '
		.liza_testimonials_slider .liza_testimonials_item div {
			color:'. $color_content_additional .';
		}
		.liza_testimonials_slider .liza_testimonials_item div.testimonial_additional {
			color:'. $color_content .';
		}
		.liza_cs_sharing span:before,
		.liza_slider_sharing_block span:before {
			background:'. $color_content_additional .';
		}
		.liza_cs_sharing span,
		.liza_cs_sharing a,
		.liza_slider_sharing_block span,
		.liza_slider_sharing_block a {
			color:'. $color_content_additional .';
		}
		.liza_cs_sharing a:hover {
			color:'. $color_main .';
		}

		.liza_element_wrap .countdown .item span,
		.liza_element_wrap .countdown .item span.label {
			color:'. $color_content_additional .';
		}
		.liza_cs_form input[type="text"],
		.liza_cs_form input[type="email"] {
			border-color:'. $color_content_additional .';
		}
		.liza_cs_form input[type="submit"] {
			background:'. $color_main .';
		}
		.liza_cs_form input[type="submit"]:hover {
			background:'. $color_content_border .';
		}
		.liza_albums_ajax_item {
			color:'. $color_content_additional .';
		}
		
		/* Projects Module */
		a.project_listing_see_btn {
			color:'. $color_content_additional .';
		}
		.liza_stand_fi_project_listing  a.project_listing_see_btn {
			background:'. $color_main .';
		}
		
		a.project_listing_see_btn:before {
			background:'. $color_content_additional .';
		}
		.liza_grid_post_title a:hover h3 {
			color:'. $color_main .';
		}
		.liza_project_post_content a.project_listing_see_btn:hover {
			color:'. $color_main .';
		}
		.liza_project_post_content a.project_listing_see_btn:hover:before {
			background:'. $color_main .';
		}
		
		.liza_grid_post_title a:hover h5 {
			color:'. $color_main .';
		} 
		
		/* Filter */
		.liza_filter_inner li a {
			color:'. $color_content_additional .';
		}
		.liza_filter_inner li.selected a {
			color:'. $color_main .';
		}
		.liza_filter_inner li a:before {
			background:'. $color_content_additional .';
		}
		.liza_filter_inner li.selected a:before {
			background:'. $color_main .';
		}
		
		/* Liza Albums */
		.liza_albums_slide_title a {
			color:'. $color_headings .';
		}
		.liza_albums_slide_meta {
			padding:0 0 0 60px;
		}
		.liza_albums_slide_meta:before {
			width:40px;
		}
		.liza_albums_slider_counter span,
		.liza_albums_slider_counter i {
			color:'. $color_content_additional .';
		}
		.liza_scroll_to_explore span {
			color:'. $color_content_additional .';
		}
		.liza_scroll_to_explore span:before {
			background:'. $color_content_additional .';
		}
		.liza_albums_ajax_template_wrapper {
			background:'. $body_bg_color .';
		}
		.liza_albums_ajax_numbers div {
			color:'. $color_content_additional .';
		}
		.liza_albums_ajax_numbers div.liza_albums_ajax_number_item:before {
			background:'. $color_content_additional .';
		}
		.liza_contact_info  a:hover {
			color:'. $color_content_additional .';
		}
		.liza_promo_text,
		.liza_promo_title {
			color:'. $color_content_additional .';
		}
		.liza_promo_text:before {
			background:'. $color_content_additional .';
		}
		.liza_back_to_top:hover {
			background:'. $color_main .';
			border-color:'. $color_main .';
		}
		
		/* Mobile Header */
		.liza_mobile_header,
        .liza_mobile_header_wrapper,
		.liza_mobile_menu_wrapper {
			background:'. $header_bg_color .';
		}
		
		/* Coming Soon Page */
		.liza_cs_sharing span, 
		.liza_cs_sharing a, .liza_slider_sharing_block span, 
		.liza_slider_sharing_block a,
		.liza_element_wrap .countdown .item span, 
		.liza_element_wrap .countdown .item span.label,
		h1.liza_cs_title {
			color: '. $cs_text_color .';
		}
		.liza_cs_sharing span:before, .liza_slider_sharing_block span:before {
			background: '. $cs_text_color .';
		}
		.liza_cs_shortcode_wrapper select,
		.liza_cs_shortcode_wrapper input[type="search"],
		.liza_cs_shortcode_wrapper input[type="text"],
		.liza_cs_shortcode_wrapper input[type="number"],
		.liza_cs_shortcode_wrapper input[type="tel"],
		.liza_cs_shortcode_wrapper input[type="email"],
		.liza_cs_shortcode_wrapper input[type="password"],
		.liza_cs_shortcode_wrapper textarea {
			border-color: '. $cs_text_color .';
			color: '. $cs_text_color .';
		}
		.liza_cs_shortcode_wrapper input[type="tel"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper input[type="search"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper input[type="text"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper input[type="number"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper input[type="email"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper input[type="password"]::-webkit-input-placeholder,
		.liza_cs_shortcode_wrapper textarea::-webkit-input-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="search"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="text"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="number"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="tel"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="email"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}

		.liza_cs_shortcode_wrapper input[type="password"]::-moz-placeholder {
			color: '. $cs_text_color .';
		}
		.liza_cs_shortcode_wrapper textarea::-moz-placeholder {
			color: '. $cs_text_color .';
		}
		
		/* 404 */
		.liza_404_content_wrapper p,
		.liza_404_content_wrapper td,
		.liza_404_content_wrapper div,
		.liza_404_content_wrapper h1,
		.liza_404_content_wrapper h2,
		.liza_404_content_wrapper h3,
		.liza_404_content_wrapper h4,
		.liza_404_content_wrapper h5,
		.liza_404_content_wrapper h6 {
			color:'. $text_color_404 .';
		}
		
		.liza_404_content_wrapper input.liza_field_search {
			color: '. $text_color_404 .';
			border-color: '. $text_color_404 .';
		}
		.liza_404_content_wrapper input.liza_field_search::-webkit-input-placeholder {
			color: '. $text_color_404 .';
		}
		.liza_404_content_wrapper input.liza_field_search::-moz-placeholder {
			color: '. $text_color_404 .';
		}
	';

# WooCommerce
if (class_exists('WooCommerce')) {
    $shop_color_message = esc_attr(liza_get_theme_mod('shop_color_message'));
    $shop_color_info = esc_attr(liza_get_theme_mod('shop_color_info'));
    $shop_color_error = esc_attr(liza_get_theme_mod('shop_color_error'));
    $shop_color_required = esc_attr(liza_get_theme_mod('shop_color_required'));
    $shop_color_remove = esc_attr(liza_get_theme_mod('shop_color_remove'));

    $color_button = "#ffffff";
    $bg_button = "#303342";

	$liza_custom_css .= '
		body a.reset_variations,
        body button.button,
        body button.button.alt,
        body .liza_container .checkout-button.button,
        body .woocommerce .cart .button, 
        body .woocommerce .cart input.button,
        body.woocommerce ul.products li.product a.added_to_cart.wc-forward,
        body .liza_container #respond input#submit, 
        body .liza_container a.button, 
        body .liza_container button.button, 
        body .liza_container input.button
        body .liza_container .button,
        .woocommerce a.woocommerce-MyAccount-downloads-file.button,
        .woocommerce p.order-again a.button,
        body .liza_container .widget_price_filter .price_slider_amount .button {
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            font-size: ' . $h6_font_size . 'px;
            line-height: '. $h6_line_height .'px;
            color:'. $color_button .';
            background:'. $bg_button .';
        }
		body a.reset_variations:hover,
        .woocommerce a.woocommerce-MyAccount-downloads-file.button:hover,
        body button.button:hover,
        body button.button.alt:hover,
        body .liza_container .checkout-button.button:hover,
        body .woocommerce .cart .button:hover,
        body .woocommerce .cart input.button:hover,
        body.woocommerce ul.products li.product a.added_to_cart.wc-forward:hover,
        body .liza_container #respond input#submit:hover, 
        body .liza_container a.button:hover, 
        body .liza_container button.button:hover, 
        body .liza_container input.button:hover
        body .liza_container .button:hover,
        body .liza_container .widget_price_filter .price_slider_amount .button:hover {
            color:'. $color_button .';
            background: '. $color_main .';
        }
        .woocommerce a.woocommerce-MyAccount-downloads-file.button.alt,
        .woocommerce #respond input#submit.alt, 
        .woocommerce a.button.alt, 
        .woocommerce button.button.alt, 
        .woocommerce input.button.alt,
        body button.button.alt {
            color:'. $color_button .';
            background: '. $color_main .';
        }
        .woocommerce a.woocommerce-MyAccount-downloads-file.button.alt:hover,
        .woocommerce #respond input#submit.alt:hover, 
        .woocommerce a.button.alt:hover, 
        .woocommerce button.button.alt:hover, 
        .woocommerce input.button.alt:hover,
        body button.button.alt:hover {
            color:'. $color_button .';
            background:'. $bg_button .';
        }
        body .liza_container ul.cart_list li a, 
        body .liza_container ul.product_list_widget li a {
            color: ' . $color_headings . ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        body .liza_container ul.cart_list li a:hover, 
        body .liza_container ul.product_list_widget li a:hover {
            color: '. $color_main .';
        }
        body .liza_container ul.cart_list li, 
        body .liza_container ul.product_list_widget li {
            border-top:1px solid '. $input_border_color .';
        }
        body .liza_container ul.cart_list li:first-child, 
        body .liza_container ul.product_list_widget li:first-child {
            border: none;
        }
        body .liza_container .widget_shopping_cart .total, 
        .liza_container .woocommerce.widget_shopping_cart .total {
            border-top: 1px solid '. $input_border_color .';
        }
        body .liza_container .widget_shopping_cart .total strong, 
        .liza_container .woocommerce.widget_shopping_cart .total strong {
            color: '. $color_headings .';
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        body .liza_container .widget_price_filter .price_slider_wrapper .ui-widget-content {
            background: '. $bg_button .';
        }
        body .liza_container .widget_price_filter .ui-slider .ui-slider-handle,
        body .liza_container .widget_price_filter .ui-slider .ui-slider-range {
            background: '. $color_main .';
        }
        
        .woocommerce ul.products li.product .onsale,
        .liza_tiny .product .onsale {
            color: ' . $color_headings . ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            background: '. $color_main .';
        }
        
        .woocommerce ul.products li.product .woocommerce-loop-product__title,
        body.woocommerce .liza_container ul.products li.product .woocommerce-loop-category__title, 
        body.woocommerce .liza_container ul.products li.product .woocommerce-loop-product__title, 
        body.woocommerce .liza_container ul.products li.product h3 {
            color: ' . $color_headings . ';
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
        }
        .woocommerce ul.products li.product a:hover .woocommerce-loop-product__title,
        body.woocommerce .liza_container ul.products li.product a:hover .woocommerce-loop-category__title, 
        body.woocommerce .liza_container ul.products li.product a:hover .woocommerce-loop-product__title, 
        body.woocommerce .liza_container ul.products li.product a:hover h3 {
            color: '. $color_main .';
        }
        
        body .wp-block-woocommerce-products ul.products li.product span.price,
        body .wp-block-woocommerce-products ul.products li.product span.price > del,
        body .wp-block-woocommerce-products ul.products li.product span.price > ins,
        body.woocommerce .liza_container div.product p.price,
		body.woocommerce .liza_container div.product span.price,
		body.woocommerce .liza_container div.product p.price > del, 
        body.woocommerce .liza_container div.product span.price > del,
        body.woocommerce .liza_container div.product p.price > ins, 
        body.woocommerce .liza_container div.product span.price > ins,
        body.woocommerce .liza_container div.product p.price > span, 
        body.woocommerce .liza_container div.product span.price > span,        
        body.woocommerce .liza_container ul.products li.product .price,
		body.woocommerce .liza_container ul.products li.product .price > del,
        body.woocommerce .liza_container ul.products li.product .price > ins,
        body.woocommerce .liza_container ul.products li.product .price > span {
            color: ' . $color_headings . ';
            font-size: ' . $h5_font_size . 'px;
            line-height: ' . $h5_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        body.woocommerce .liza_container .woocommerce-result-count, 
        body.woocommerce-page .liza_container .woocommerce-result-count {
            color: ' . $color_headings . ';
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
        }

        body.woocommerce .liza_container .woocommerce-product-details__short-description {
            border-bottom: 1px solid '. $input_border_color .';
        }
        body .woocommerce .quantity .qty,
        body.woocommerce .liza_container .quantity .qty {
            color:'. $input_text_color .';
            border:2px solid '. $input_border_color .';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        body.woocommerce .liza_container #respond input#submit.alt, 
        body.woocommerce .liza_container a.button.alt, 
        body.woocommerce .liza_container button.button.alt, 
        body.woocommerce .liza_container input.button.alt {
            background: '. $color_main .';
        }
        body.woocommerce .liza_container #respond input#submit.alt:hover, 
        body.woocommerce .liza_container a.button.alt:hover, 
        body.woocommerce .liza_container button.button.alt:hover, 
        body.woocommerce .liza_container input.button.alt:hover {
            background: '. $bg_button .';
        }
        
        body.woocommerce .liza_container .product_meta > span,
        body.woocommerce .liza_container .product_meta > span a {
            color: ' . $color_headings . ';
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
        }
        body.woocommerce .liza_container .product_meta > span:before,
        body.woocommerce .liza_container .product_meta > span a:hover {
            color: '. $color_main .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs::before {
            border-bottom: 2px solid '. $input_border_color .';
        }

        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li {
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
            font-size: ' . $h6_font_size . 'px;
            line-height: '. $h6_line_height .'px;
            color: '. $color_headings .';
            border: 2px solid '. $input_border_color .';
            background: transparent;
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li:hover {
            border: 2px solid '. $color_main .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li a {
            color: ' . $color_headings . ';
            font-size: ' . $h5_font_size . 'px;
            line-height: ' . $h5_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li:before {
            background: '. $bg_button .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li.active a {
            color: '. $color_main .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li:hover a {
            background: '. $color_main .';
            color: '. $color_headings .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li.active:hover {
            border: 2px solid '. $input_border_color .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li.active:hover a {
            background: transparent;
            color: '. $color_main .';
        }
        body.woocommerce .liza_container div.product .woocommerce-tabs ul.tabs li.active:before {
            background: '. $body_bg_color .';
        }
        
        body.woocommerce .liza_container #content div.product .woocommerce-tabs, 
        body.woocommerce .liza_container div.product .woocommerce-tabs, 
        body.woocommerce-page .liza_container #content div.product .woocommerce-tabs, 
        body.woocommerce-page .liza_container div.product .woocommerce-tabs {
            border-bottom: 1px solid '. $input_border_color .';
        }
        
        body.woocommerce p.stars a,
        body.woocommerce p.stars a:hover,
        body.woocommerce .star-rating {
            color: '. $color_headings .';
        }
        
        body.woocommerce #reviews #comments ol.commentlist .meta * {
            color: ' . $color_headings . ';
            font-size: ' . $h6_font_size . 'px;
            line-height: ' . $h6_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';            
        }
        body.woocommerce #review_form #respond .comment-reply-title,
        body.woocommerce .product .related.products h2 {
            color: ' . $color_headings . ';
            font-size: ' . $h5_font_size . 'px;
            line-height: ' . $h5_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';            
        }
        
        body .shop_table.shop_table_responsive tr th,
        body.woocommerce table.shop_attributes tr th {
            color: ' . $color_headings . ';
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';            
        }
        body.woocommerce table.shop_attributes tr th,
        body.woocommerce table.shop_attributes tr td {
            border: 1px solid '. $input_border_color .';
        }
        
        body nav.woocommerce-MyAccount-navigation ul li {
            color:'. $color_headings .';
        }
        body nav.woocommerce-MyAccount-navigation ul li.is-active,
        body nav.woocommerce-MyAccount-navigation ul li.is-active a {
            color: '. $color_main .';
        }
        
        body .liza_container .woocommerce-error,
        body .liza_container .woocommerce-info,
        body .liza_container .woocommerce-message {
            color: '. $color_content .';
        }
        section.woocommerce-order-details .woocommerce-table.woocommerce-table--order-details.order_details tfoot th,
        section.woocommerce-order-details .woocommerce-table.woocommerce-table--order-details.order_details tfoot td,
        .shop_table.woocommerce-checkout-review-order-table tfoot th,
        .shop_table.woocommerce-checkout-review-order-table tfoot td {
            color: '. $color_headings .';
        }
        
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods label,
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods label {
            color: '. $color_content .';
        }
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods label:hover,
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods label:hover {
            color: '. $color_headings .';
        }
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods input[type="radio"]:checked + label:before,
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods input[type="radio"]:not(:checked) + label:before {
            border: 2px solid '. $input_border_color .';
        }
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods input[type="radio"]:checked + label:hover:before,
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods input[type="radio"]:not(:checked) + label:hover:before {
            border: 2px solid '. $color_main .';
        }
        .liza_container .woocommerce-checkout-payment ul.wc_payment_methods.payment_methods input[type="radio"]:checked + label:before {
            background: '. $color_main .';
            background-clip: content-box;
        }
        #add_payment_method #payment div.payment_box, 
        .woocommerce-cart #payment div.payment_box, 
        .woocommerce-checkout #payment div.payment_box {
            background: '. $bg_button .';
            color: '. $color_button .';
        }
        #add_payment_method #payment div.payment_box:before, 
        .woocommerce-cart #payment div.payment_box:before, 
        .woocommerce-checkout #payment div.payment_box:before {
            border-color: transparent transparent '. $bg_button .' transparent;
        }
        .woocommerce mark {
            background: transparent;
            color: '. $color_headings .';
        }
        .woocommerce fieldset legend {
            color: ' . $color_headings . ';
            font-size: ' . $h5_font_size . 'px;
            line-height: ' . $h5_line_height . 'px;
            font-family: "' . esc_attr(liza_get_theme_mod('headings_font_family')) . '";
            font-weight: ' . esc_attr(liza_get_theme_mod('headings_font_weight')). ';
        }
        .blockUI.blockOverlay {
            background: '. $body_bg_color .' !important;
        }
        
        body .liza_container .woocommerce-error {
            border: 2px solid '. $shop_color_error .';
        }
        body .liza_container .woocommerce-error:before {
            color: '. $shop_color_error .';
        }
        body .liza_container .woocommerce-info {
            border: 2px solid '. $shop_color_info .';
        }
        body .liza_container .woocommerce-info:before {
            color: '. $shop_color_info .';
        }
        body .liza_container .woocommerce-message {
            border: 2px solid '. $shop_color_message .';
        }
        body .liza_container .woocommerce-message:before {
            color: '. $shop_color_message .';
        }
        
        .woocommerce a.remove,
        body .liza_container .widget_shopping_cart .cart_list li a.remove, 
        .liza_container .woocommerce.widget_shopping_cart .cart_list li a.remove {
            color: ' . $shop_color_remove . '!important;
        }
        .woocommerce a.remove:hover,
        body .liza_container .widget_shopping_cart .cart_list li a.remove:hover, 
        .liza_container .woocommerce.widget_shopping_cart .cart_list li a.remove:hover {
            color: ' . $color_headings . '!important;
        }
        .woocommerce form .form-row .required,
        body.woocommerce #review_form #respond .required,
        .woocommerce form .form-row abbr.required {
            color: ' . $shop_color_required . ';
        }
        body .liza_container .woocommerce-message {
            font-size:'. esc_attr(liza_get_theme_mod('main_font_size')) .'px;
            line-height:'. esc_attr(liza_get_theme_mod('main_line_height')) .'px;
            font-weight:'. esc_attr(liza_get_theme_mod('main_font_weight')) .';
            color:'. $color_content .';
        }
        @media only screen and (max-width: 760px) {
            body.woocommerce .liza_container div.product .product_title {
                font-size: ' . $h3_font_size . 'px;
                line-height: ' . $h3_line_height . 'px;
            }
        }
        
        .liza_shop_loop_image:before {
            background:rgba('. liza_HexToRGB($body_bg_color) .', 0);
        }
        a.woocommerce-LoopProduct-link:hover .liza_shop_loop_image:before {
            background:rgba('. liza_HexToRGB($body_bg_color) .', 0.6);
        }
        .woocommerce .woocommerce-breadcrumb a {
        
        }
        .woocommerce .woocommerce-breadcrumb a {
            color: '. $color_content_additional .';
        }
        .woocommerce .woocommerce-breadcrumb a:hover {
            color: '. $color_main .';
        }
	';	
}