<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=Edge">
    <?php 
	$liza_page_featured_image = liza_get_featured_image_url(); 
	if (!empty($liza_page_featured_image) && $liza_page_featured_image !== '') {
	    echo '<meta property="og:image" content="'. $liza_page_featured_image .'" />';
	}	
	?>
    <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
    <?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<?php liza_get_aside_menu(); ?>
<header class="liza_header <?php echo liza_get_prefered_option('logo_position') . ' ' . liza_get_prefered_option('menu_style'); ?>">
	<div class="liza_header_bg liza_blur_on_aside"></div>
	<div class="liza_header_wrapper">
		<?php liza_get_header(); ?>
        <div class="clear"></div>
    </div>
</header>
<?php liza_get_mobile_header(); ?>