/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
"use strict";
jQuery(document).ready(function () {
    liza_setup_stripes();
    if (jQuery('.stripes_fullscreen_on').size() > 0) {
        liza_html.addClass('liza_stripes_fullscreen').addClass('liza_transparent_header');
        if (jQuery('.stripes_fullscreen_on').size() > 1) {
            jQuery('.stripes_fullscreen_on:not(:first)').remove();
        }
        jQuery('footer.liza_footer').remove();
    }
});

jQuery(window).resize(function () {
    liza_setup_stripes();
});

jQuery(window).load(function () {
    liza_setup_stripes();
});

function liza_setup_stripes() {
    if (jQuery('#wpadminbar').size() > 0) {
        var setHeight = liza_window.height() - jQuery('#wpadminbar').height(),
            setTop = jQuery('#wpadminbar').height();
    } else {
        var setHeight = liza_window.height(),
            setTop = 0;
    }
    if (jQuery('.stripes_fullscreen_on').size() > 0) {
        jQuery('.stripes_fullscreen_on').height(setHeight).css('top', setTop + 'px');
    } else {
        jQuery('.liza_stripes').height(setHeight);
    }
    jQuery('.liza_stripes').each(function () {
        var set_width = Math.floor(jQuery(this).width() / jQuery(this).find('.liza_stripes_item').size());
        jQuery(this).find('.liza_stripes_item').width(set_width).height(setHeight);
    });
}