<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
 * Template Name: Albums Ajax Slider
*/

if (!post_password_required()) {

	the_post();
	get_header();

	lizaHelper::getInstance()->addJSToFooter('albums_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
	');
	
	$liza_albums_slider_thumbs = '';
	$first_post = false;
	$share_image_url = '';
	$categs = liza_get_post_option('liza_albums_taxonomy');

	$args = array(
		'post_type' => 'albums',
		'post_status' => 'publish',
		'posts_per_page' => -1,
		'paged' => -1,
	);

	$selected_categories = '';
	
	if (isset($categs) && !empty($categs)) {
		foreach ($categs as $item) {
			$selected_categories .= $item->term_id . ',';
		}
	}
	$post_type_terms = array();
	if (isset($selected_categories) && strlen($selected_categories) > 0) {
		$selected_categories = substr($selected_categories, 0, -1);
		$post_type_terms = explode(",", $selected_categories);
		
		$args['tax_query'] = array(
			array(
				'taxonomy' => 'albumscat',
				'field' => 'id',
				'terms' => $post_type_terms
			)
		);
	}


	?>
    <div class="liza_blur_on_aside">
        <div class="liza_albums_ajax_template_wrapper">
            <div class="liza_albums_ajax_template_inner">
                <div class="liza_albums_ajax_numbers">
	                <div class="liza_albums_ajax_numbers_inner">
						<?php
                        $slide_count = 0;
                        query_posts($args);
                        if (have_posts()) {
                            while (have_posts()) {
                                $slide_count++;
                                $current_class = '';
                                the_post();                    
                                if ($first_post == false) {
                                    $share_image_url = liza_get_featured_image_url();
                                }
                                if ($slide_count < 10) {
                                    $slide_count_text = '0' . $slide_count;
                                } else {
                                    $slide_count_text = $slide_count;
                                }
								$set_query_args = "{'output_template' : 'albums_slider', 'ajax_callback_function' : 'liza_ajax_albums_setSlide(1)', 'post_id' : '". get_the_ID() ."'}";
                                ?>
                                <div class="liza_albums_ajax_number_item liza_albums_ajax_number_item<?php echo esc_attr($slide_count); ?>" 
                                    data-id = "<?php echo get_the_ID(); ?>" 
                                    data-template = "albums_slider" 
                                    data-callback = "liza_ajax_albums_recieved" 
                                    data-return-to="liza_albums_ajax_slider_inner" 
                                    data-count = "<?php echo esc_attr($slide_count); ?>"><?php echo esc_attr($slide_count_text); ?></div>
                                <?php
                            }
                        }
                        ?>
					</div>
                </div><!-- .liza_albums_ajax_numbers -->
                <div class="liza_albums_ajax_items_holder">
                <?php
					$slide_count = 0;
					if (have_posts()) {
						while (have_posts()) {
							$slide_count++;
							the_post();
							$galCateg = '';
							$new_term_list = get_the_terms(get_the_id(), "albumscat");
							if (is_array($new_term_list)) {
								foreach ($new_term_list as $term) {
									$tempname = strtr($term->name, array(
										' ' => '-',
									));
									$galCateg .= $tempname . ", ";
								}
							} else {
								$galCateg = 'Uncategorized  ';
							}
							$galCateg = substr($galCateg, 0, -2);
							$img_count = 0;
							if (is_array(liza_get_post_option('liza_albums_images'))) {
								foreach (liza_get_post_option('liza_albums_images') as $key => $image) {
									$img_count++;
								}
							}
							if ($img_count == 1) {
								$img_text = esc_html__('Image', 'liza');
							} else {
								$img_text = esc_html__('Images', 'liza');
							}

							$featured_image = liza_get_featured_image_url();
							if ($featured_image == '') {
								$featured_image = get_template_directory_uri() . '/img/img_holder_800x570.png';
							}
							?>
							<div class="liza_albums_ajax_item liza_albums_ajax_item<?php echo esc_attr($slide_count); ?>" 
								data-count = "<?php echo esc_attr($slide_count); ?>">
								<div class="liza_albums_ajax_template_image liza_js_bg_image" data-src="<?php echo esc_url($featured_image); ?>"></div>
                                <div class="liza_albums_ajax_template_content">
                                    <h1><?php echo get_the_title(); ?></h1>
                                    <div class="liza_meta">
                                        <div><?php echo get_the_date(); ?></div>
                                        <div><?php echo esc_attr($galCateg); ?></div>
                                        <div><?php echo esc_attr($img_count) . ' ' . esc_attr($img_text); ?></div>
                                    </div>
                                </div>
                            </div>
							<?php
						}
					}
				?>
                </div>
            </div>
        </div><!-- .liza_albums_ajax_wrapper -->
        <div class="liza_albums_ajax_slider">
            <div class="liza_albums_ajax_slider_inner">
            </div>
        </div><!-- .liza_albums_ajax_slider -->
        <div class="liza_albums_ajax_controls">
            <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_button_prev liza_albums_ajax_slider_prev"></a>
            <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_button_next liza_albums_ajax_slider_next"></a>
            <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_button_fullview liza_albums_ajax_slider_fullview"></a>
        </div>
	</div>
    <div class="liza_albums_ajax_template_wrapper_mobile">
<?php
		$posts_first_load = 12;
		$items_per_load = 4;
		$items_in_row = 4;
		$items_padding = '0';
		$filter_state = 'off';
		$masonry = 'off';
		$button_title = esc_html__("View More", "liza");
				
		wp_enqueue_script('jquery_isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', true, false, true);
		wp_enqueue_script('posts_sorting', get_template_directory_uri() . '/js/posts_sorting.js', true, false, true);
		
		$uniqid = mt_rand(0, 9999);
		
        $masonry_class = '';
		if ($masonry == 'on') {
			$thmb_width = '800';
			$thmb_height = '';
            $masonry_class = 'is_masonry';
		} else {
			$thmb_width = '800';
			$thmb_height = '570';
		}
		
		$args = array(
			'post_type' => 'albums',
			'post_status' => 'publish',
			'posts_per_page' => absint($posts_first_load),
			'paged' => -1,
		);
		
		$html = '
		<div class="liza_element_wrap liza_albums_grid liza_albums_grid'. esc_attr($items_in_row) .'" 
			data-uniqid="'. esc_attr($uniqid) .'" 
			data-perload = "'. esc_attr($items_per_load) .'" 
			data-onstart = "'. esc_attr($posts_first_load) .'">';
			if ($filter_state == 'on') {
				echo liza_show_filter('', 'albums');
			}
		$html .= '
			<div class="liza_albums_grid_inner liza_isotope_trigger '. esc_attr($masonry_class).'" data-pad="'. esc_attr($items_padding) .'">';
		
		$i = 0;
		$pf_args = array(
			'output_template' => 'albums_grid',
			'grid_img_width' => $thmb_width,
			'grid_img_width' => $thmb_height,
		);
		
		$set_query_args = '{"output_template" : "albums_grid", "thmb_width" : "'. esc_attr($thmb_width) .'", "thmb_height" : "'. esc_attr($thmb_height) .'", "ajax_callback_function" : "liza_setup_albums_grid", "post_type" : "albums", "post_status" : "publish", "posts_first_load" : '. esc_attr($posts_first_load) .', "posts_per_page" : '. esc_attr($items_per_load) .', "offset" : 0, "posts_counter": 1}';
		$html .= '
			</div>
			<div class="liza_ajax_query_preloader">
				<div class="liza_aqp_wrapper">
					<span class="liza_aqp_item liza_aqp_item1"></span>
					<span class="liza_aqp_item liza_aqp_item2"></span>
					<span class="liza_aqp_item liza_aqp_item3"></span>
					<span class="liza_aqp_item liza_aqp_item4"></span>
				</div>
			</div>
			<div class="grid_albums_loadmore_wrapper">
				<a class="albums_load_more liza_button liza_ajax_query_posts_isotope" data-args=\''. $set_query_args .'\' data-return-to="liza_albums_grid_inner" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a>
			</div>
		</div>
		';
		
		echo $html;
?>
    </div>
    <?php
	get_footer('empty');
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}

?>