<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (is_category() || is_search() || is_home()) {
	$liza_sidebar_position = esc_attr(liza_get_theme_mod('sidebar_position'));
} else if (liza_is_woocommerce_activated() && is_woocommerce()) {
    $liza_sidebar_position = esc_attr(liza_get_theme_mod('shop_sidebar_position'));
} else {
	$liza_sidebar_position = esc_attr(liza_get_prefered_option('sidebar_position'));
}
if (is_active_sidebar('sidebar') && ($liza_sidebar_position !== 'liza_no_sidebar')) {
    echo "<div class='liza_sidebar'>";
	if (liza_is_woocommerce_activated()) {
		if (is_woocommerce()) {
			dynamic_sidebar('sidebar-woocommerce');
		} else {
			dynamic_sidebar('sidebar');
		}
	} else {
		dynamic_sidebar('sidebar');
	}
    echo "</div><div class='clear'></div>";
}