<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

extract(
    shortcode_atts(
        array(
            'item_title' => '',
            'item_currency' => '$',
            'item_price' => '',
            'item_period' => '/mo',
            'item_descr' => '',
            'button_state' => '',
            'button_text' => '',
            'button_link' => '',
            'most_popular' => '',
            'mp_label' => 'popular',
            'custom_class' => ''
        ),
        $atts
    )
);

$compile = '';
$html = '';

$most_popular_class = '';
$most_popular_label = '';
if ($most_popular == true) {
    $most_popular_class = 'most_popular_item';
    $most_popular_label = '<span class="liza_most_popular_label">' . esc_attr($mp_label) . '</span>';
}
$html .= '
	<div class="liza_price_table_item ' . esc_attr($custom_class) . ' ' . esc_attr($most_popular_class) . '">
		' . $most_popular_label . '
		<div class="liza_price_table_item_inner">
			<h6 class="liza_price_item_title">' . esc_attr($item_title) . '</h6>
			<div class="liza_price_item_price_block">
				<span class="liza_price_item_currency">' . esc_attr($item_currency) . '</span>
				<span class="liza_price_item_price">' . esc_attr($item_price) . '</span>
				<span class="liza_price_item_period">' . esc_attr($item_period) . '</span>
			</div>
			<div class="liza_price_item_content">';
$newarr = explode("\n",$item_descr);
foreach($newarr as $str) {
	$html .= '<p>' . $str . '</p>';
}
$html .= '
			</div>';
if ($button_state == true) {
    $btn_link_temp = vc_build_link($button_link);
    $url = $btn_link_temp['url'];
    $link_title = $btn_link_temp['title'];
    $target = $btn_link_temp['target'];

    if ($url !== '') {
        $url = esc_url($url);
    } else {
        $url = '#';
    }
    if ($link_title !== '') {
        $link_for_partner = 'title="' . esc_attr($link_title) . '"';
    } else {
        $link_for_partner = '';
    }
    if ($target !== '') {
        $partner_target = 'target="' . esc_attr($target) . '"';
    } else {
        $partner_target = '';
    }

    $html .= '
			<div class="liza_price_item_button_wrapper">
				<a href="' . $url . '" ' . $link_for_partner . ' ' . $partner_target . ' class="liza_button liza_price_item_button">' . esc_attr($button_text) . '</a>
			</div>
	';
}
$html .= '
		</div>
	</div>';
echo $html;