<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

extract(
    shortcode_atts(
        array(
            'testimonial_image' => '',
            'testimonial_text' => '',
            'testimonial_author' => '',
			'testimonial_additional' => '',
            'custom_class' => ''
        ),
        $atts
    )
);


$compile = '';
$html = '';
$attach_meta = liza_get_attachment($testimonial_image);
$photoAlt = $attach_meta['alt'];
$featured_image = aq_resize(esc_url(wp_get_attachment_url($testimonial_image)), '120', '120', true, true, true);

$html .= '
	<div class="liza_testimonials_flow_item ' . esc_attr($custom_class) . '">
		<div class="liza_testimonials_flow_img_block">
			<img src="'. esc_url($featured_image) .'" alt="'. esc_attr($photoAlt) .'"  class="liza_testimonials_flow_img"/>
		</div>
		<div class="testimonial_content_wrapper">
			<div class="testimonial_content">“'. esc_attr($testimonial_text) .'”</div>
			<h6 class="testimonial_author">'. esc_attr($testimonial_author) .'</h6>
			<div class="testimonial_additional">'. esc_attr($testimonial_additional) .'</div>
		</div>
	</div>';
echo $html;