<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
get_header();
liza_get_breadcrumb();

$liza_post_classes = array(
    'liza_container',
    'liza_blur_on_aside',
    liza_get_prefered_option('sidebar_position'),
    liza_get_post_option('header_padding', 'liza_footer_padding_yes'),
    liza_get_post_option('footer_padding', 'liza_footer_padding_yes')
);
?>
    <div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
        <div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_prefered_option('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content liza_woo_content">
            <div class="liza_tiny liza_woo_tiny">
                <?php
                    $shop_loop = false;
                    if (is_shop() || is_product_taxonomy() || is_product_tag() || is_product_category()) {
                        $shop_loop = true;
                    }
                    if ($shop_loop) {
                        echo '<div class="liza_shop_loop">';
                    }
                    woocommerce_content();
                    if ($shop_loop) {
                        echo '</div><!-- .liza_shop_loop -->';
                    }
                ?>
            </div>
            <div class="liza_subtiny">
                <?php wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'liza') . ': ', 'after' => '</div>')); ?>
            </div>
        </div>
        <?php get_sidebar('sidebar'); ?>
    </div>
<?php

get_footer();
