<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (function_exists('vc_map')) {
	vc_map(
		array(
			'name' => esc_html__('Projects', 'liza'),
			'base' => 'pm_vc_projects',
			'description' => 'Display projects listing.',
			'category' => esc_html__('Pixel-Mafia', 'liza'),
			'icon' => 'liza_vc_elements_icon liza_projects',
			'params' => array(
				array(
					'type' => 'pm_categories',
					'heading' => esc_html__('Select Categories', 'liza'),
					'taxonomy' => 'projectcat',
					'param_name' => 'pm_category',
					'admin_label' => true,
					'description' => esc_html__('Select Categories to Display', 'liza'),
					'value' => ''
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on First Load", "liza"),
					"param_name" => "posts_first_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '3'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Items on Load More", "liza"),
					"param_name" => "items_per_load",
					'edit_field_class' => 'vc_col-sm-6',
					'value' => '3'
				),
				array(
					"type" => "textfield",
					"heading" => esc_html__("Load More Button Text", "liza"),
					"param_name" => "button_title",
					"description" => esc_html__("Specify Load More button text", "liza"),
					"value" => esc_html__("Load More", "liza")
				),				

				array(
					'type' => 'css_editor',
					'heading' => esc_html__('CSS', 'liza'),
					'param_name' => 'custom_css',
					'group' => esc_html__('Design options', 'liza'),
				),

				array(
					'param_name' => 'custom_class',
					'heading' => esc_html__('Custom Class', 'liza'),
					'description' => '',
					'type' => 'textfield',
					'value' => '',
					'admin_label' => false,
					'weight' => 0,
					'group' => 'Design options',
				),

			)
		)
	);
}


if (class_exists('WPBakeryShortCode')) {
    class WPBakeryShortCode_PM_VC_Projects extends WPBakeryShortCode
    {
    }
}
