<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (!post_password_required()) {
	
	the_post();
	get_header();
	liza_get_breadcrumb();
	
	$liza_post_classes = array(
		'liza_container',
		'liza_blur_on_aside',
		liza_get_prefered_option('sidebar_position'),
		liza_get_post_option('header_padding', 'liza_footer_padding_yes'),
		liza_get_post_option('footer_padding', 'liza_footer_padding_yes')
	);
	?>
		<div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
			<div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_prefered_option('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content">
                <div class="liza_tiny">
                    <?php the_content(); ?>
                </div>
                <div class="liza_subtiny">
                    <?php wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'liza') . ': ', 'after' => '</div>')); ?>
                </div>
                <div class="liza_comments_cont"><?php comments_template(); ?></div>
            </div>
            <?php get_sidebar('sidebar'); ?>
		</div>
	<?php
	
	if (liza_get_post_option('footer_state', 'liza_yes_footer') == 'liza_yes_footer') {
		get_footer();
	} else {
		get_footer('empty');
	}
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}