<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (!post_password_required()) {
	
	the_post();
	get_header();
	
	$galCateg = '';
	$new_term_list = get_the_terms(get_the_id(), "albumscat");
	if (is_array($new_term_list)) {
		foreach ($new_term_list as $term) {
			$tempname = strtr($term->name, array(
				' ' => '-',
			));
			$galCateg .= $tempname . " / ";
		}
	} else {
		$galCateg = 'Uncategorized  ';
	}
	$galCateg = substr($galCateg, 0, -2);
	
	$layout_style = liza_get_post_option('liza_albums_images_layout');
	
	if ($layout_style == 'slideshow') {
		// Slide Show Layout
		$fit_style = liza_get_post_option('liza_slider_fit_style', 'no_fit');
		
		lizaHelper::getInstance()->addJSToFooter('albums_page', '
			jQuery("html").addClass("liza_transparent_header liza_height_100 page-template-page-albums-slider");
		');
			$slider_height = '100%';
			$autoplay = liza_get_post_option('liza_albums_slideshow_autoplay');
			$controls_state = liza_get_post_option('liza_albums_slideshow_controls');
			$content_type = liza_get_post_option('liza_albums_slideshow_content');
			$content_position = 'left';
			$autoplay_speed = liza_get_post_option('liza_albums_slideshow_autoplay_speed');
			$title_tag = 'h2';
			$title_color = '#ffffff';

			$liza_albums_slideshow_overlay_state = liza_get_post_option('liza_albums_slideshow_overlay_state');
			$liza_slideshow_overlay_color = liza_get_post_option('liza_slideshow_overlay_color');

			$overlay_bg = 'rgba(0,0,0,0.2)';
			if ($liza_albums_slideshow_overlay_state == 'default') {
				$overlay_bg = 'rgba(0,0,0,0.2)';
			}
			if ($liza_albums_slideshow_overlay_state == 'custom') {
				$overlay_bg = $liza_slideshow_overlay_color;
			}
			if ($liza_albums_slideshow_overlay_state == 'hide') {
				$overlay_bg = 'rgba(0,0,0,0)';
			}

			$set_share_image = false;
			$share_image_url = '';
			
			$set_slider_height = $slider_height;
			if ($slider_height == '100%') {
				$set_slider_height = '100vh';
			}
			
			#JS
			wp_enqueue_script('jquery_liza_simple_slider', get_template_directory_uri() . '/js/simple_slider.js', true, false, true);
			
			$compile = '';
			$uniqid = mt_rand(0, 9999);
			$html = '';
			$buttom_html = '';
			
			if (is_array(liza_get_post_option('liza_albums_images'))) {
				$html .='<div class="liza_stand_alone_slider liza_blur_on_aside liza_simple_slider_wrapper '. $fit_style .' content_'. esc_attr($content_position) .' autoplay_'. esc_attr($autoplay) .' presetup '. esc_attr($content_type) .'" 
                    data-uniqid = "' . esc_attr($uniqid) . '"
                    data-height = "' . esc_attr($slider_height) . '"
				    data-content = "'. esc_attr($content_type) .'"
				    data-autoplay = "'. esc_attr($autoplay) .'"
				    data-interval = "' . esc_attr($autoplay_speed) . '">
							<div class="liza_simple_slider liza_slider_'. esc_attr($uniqid) .'"
								data-height = "' . esc_attr($slider_height) . '"
								data-uniqid = "' . esc_attr($uniqid) . '"
								data-content = "'. esc_attr($content_type) .'"
								data-autoplay = "'. esc_attr($autoplay) .'"
								data-interval = "' . esc_attr($autoplay_speed) . '"
							>';
				$count = 1;
				foreach (liza_get_post_option('liza_albums_images') as $key => $image) {
					$featured_image = $image['full_url'];
					if ($set_share_image == false) {
						$set_share_image = true;
						$share_image_url = esc_url($featured_image);
					}
					
					$photoTitle = $image['title'];
					$html .='
							<div class="liza_simple_slide liza_js_bg_image simple_slide_loader liza_simple_slide'. esc_attr($count) .'" 
								data-title="'. esc_attr($photoTitle) .'"
								data-src="'. esc_url($featured_image) .'"
								data-count="'. esc_attr($count) .'"
								>
							';
					$html .='
							</div>
					';
					$count++;
				}
				$html .='</div>';	
				if ($overlay_bg !== '') {
					$html .='
						<div class="liza_simple_slider_overlay liza_js_bg_color" data-bgcolor="'. esc_attr($overlay_bg) .'"></div>
					';
				}	
				if ($content_type == 'images_title') {
					$html .='
						<div class="liza_simple_slider_content liza_simple_slider_images_title">
							<'. esc_attr($title_tag) .' class="liza_simple_slider_title liza_js_color" data-color="'. esc_attr($title_color) .'"></'. esc_attr($title_tag) .'>
						</div>
					';		
				}
				if ($controls_state == 'on') {
					$html .='
						<div class="liza_simple_slider_controls">
							<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_prev liza_simple_slider_prev"></a>
							<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_next liza_simple_slider_next"></a>
							<a href="'. esc_js("javascript:void(0)") .'" class="liza_button_fullview liza_simple_slider_fullview"></a>
						</div>
					';		
				}
			
				$html .='
				</div>';
			}
			echo $html;

		get_footer('empty');
	}
	if ($layout_style == 'ribbon') {
		// Ribbon Layout
		lizaHelper::getInstance()->addJSToFooter('albums_page', '
			jQuery("html").addClass("liza_transparent_header liza_height_100 page-template-page-albums-slider");
		');
		
		$items_padding = liza_get_post_option('liza_albums_ribbon_setpad');
		$content_type = liza_get_post_option('liza_albums_ribbon_content');
		$autoplay = liza_get_post_option('liza_albums_ribbon_autoplay');
		$interval = liza_get_post_option('liza_albums_ribbon_autoplay_speed');
		$module_height = '100%';
		$transition_time = '1000';

		if ($autoplay == 'on') {
			$autoplay_class = 'autoplay';
		} else {
			$autoplay_class = 'no_autoplay';
		}
		$title_tag = 'h1';
		
		$compile = '';
		
		$set_share_image = false;
		$share_image_url = '';

		wp_enqueue_script('pm_ribbon_gallery_js', get_template_directory_uri() . '/js/pm_ribbon_gallery.js', array(), false, true);

		if (is_array(liza_get_post_option('liza_albums_images'))) {
			$uniqid = mt_rand(0, 9999);
			?>
			<div class="liza_ribbon_slider_wrapper liza_stand_alone_slider liza_blur_on_aside fadeOnLoad liza_ribbon_gal_<?php echo esc_attr($uniqid); ?>" 
				data-uniqid="<?php echo esc_attr($uniqid); ?>" 
				data-pad="<?php echo esc_attr($items_padding); ?>" 
				data-autoplay = "<?php echo esc_attr($autoplay); ?>" 
				data-interval = "<?php echo esc_attr($interval); ?>" 
				data-transition = "<?php echo esc_attr($transition_time); ?>" 
				data-height="<?php echo esc_attr($module_height); ?>">
				
				<div class="liza_ribbon_gallery_container liza_ribbon_slider
					<?php echo esc_attr($autoplay_class); ?>" 
					data-interval="<?php echo esc_attr($interval); ?>" 
					data-autoplay="<?php echo esc_attr($autoplay); ?>">
					
					<?php
				$count = 1;
				$thmb_compile = '';
			foreach (liza_get_post_option('liza_albums_images') as $key => $image) {
			
				$photoTitle = $image['title'];
				$featured_image = $image['full_url'];
				
				$slide_meta = wp_get_attachment_metadata($image['ID']);
				
				$slide_ratio = $slide_meta['width']/$slide_meta['height'];
				$slide_width = round($slide_meta['width']/10);
				$slide_height = round($slide_width/$slide_ratio);
	
				if ($set_share_image == false) {
					$set_share_image = true;
					$share_image_url = esc_url($featured_image);
				}
				?>
				<div 
					class="liza_ribbon_slide liza_ribbon_block2preload liza_js_transition liza_ribbon_slide<?php echo esc_attr($count); ?>" 
					data-count="<?php echo esc_attr($count); ?>" 
					data-title="<?php echo esc_attr($photoTitle); ?>"
					data-ratio="<?php echo esc_attr($slide_ratio); ?>"
					data-src="<?php echo esc_url($featured_image); ?>" 
					data-transition = "<?php echo esc_attr($transition_time); ?>">
				</div>
				
			<?php
			$count++;

			}
		?>
                </div><!-- .ribbon_gallery_container -->
                <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_ribbon_prevSlide liza_button_prev"></a>
                <a href="<?php echo esc_js("javascript:void(0)"); ?>" class="liza_ribbon_nextSlide liza_button_next"></a>
                <?php
                if ($content_type == 'images_title') { ?>
                    <div class="liza_ribbon_title_content">
                        <?php echo '<' . esc_attr($title_tag); ?> class="liza_ribbon_title">&nbsp;<?php echo '</' . esc_attr($title_tag) . '>'; ?>
                    </div>
                <?php } ?>
            </div><!-- .ribbon_slider_wrapper -->
            <?php
		}		
		get_footer('empty');
	}
	if ($layout_style == 'grid') {
		
		// Grid Layout
		$img_width = 800;
		$img_height = 600;
		$posts_first_load = liza_get_post_option('liza_albums_grid_first_load');
		$items_per_load = liza_get_post_option('liza_albums_grid_per_load');
		$items_in_row = liza_get_post_option('liza_albums_grid_in_row');
		$masonry = liza_get_post_option('liza_albums_grid_masonry');
		$button_title = liza_get_post_option('liza_albums_grid_loadmore_text');
		$items_padding = liza_get_post_option('liza_albums_grid_paddings');
		$title_margin = liza_get_post_option('liza_albums_title_block_margin');
		
		$title_block_state = liza_get_post_option('liza_albums_title_block');
		$title_block_image = liza_get_post_option('liza_albums_title_block_image');

		$liza_albums_grid_overlay_state = liza_get_post_option('liza_albums_grid_overlay_state');
		$liza_grid_overlay_color = liza_get_post_option('liza_grid_overlay_color');

		$overlay_bg = 'rgba(0,0,0,0.6)';
		if ($liza_albums_grid_overlay_state == 'default') {
			$overlay_bg = 'rgba(0,0,0,0.6)';
		}
		if ($liza_albums_grid_overlay_state == 'custom') {
			$overlay_bg = $liza_grid_overlay_color;
		}
		if ($liza_albums_grid_overlay_state == 'hide') {
			$overlay_bg = 'rgba(0,0,0,0)';
		}
        
		$masonry_class = '';
		if ($masonry == 'on') {
			$width = $img_width;
			$height = '';
            $masonry_class = 'is_masonry';
		} else {
			$width = $img_width;
			$height = $img_height;
		}

		# CSS
		wp_enqueue_style('liza-swipebox', get_template_directory_uri() . '/css/swipebox.css');
		
		# JS
		wp_enqueue_script('jquery_swipebox', get_template_directory_uri() . '/js/jquery.swipebox.js', true, false, true);
		wp_enqueue_script('jquery_isotope', get_template_directory_uri() . '/js/jquery.isotope.min.js', true, false, true);
		wp_enqueue_script('pm_gallery_grid', get_template_directory_uri() . '/js/pm_gallery_grid.js', true, false, true);

		$uniqid = mt_rand(0, 9999);
		$grid_array = array();
		$img_array = array();
		if ($title_block_state == 'show') {
			if (is_array($title_block_image)) {
				foreach ($title_block_image as $key => $image) {
					$title_block_image_src = $image['full_url'];
				}
			} else {
				$title_block_image_src = liza_get_featured_image_url();
			}
			if (!empty($title_margin) && $title_margin !== '') {
				$title_mar_class = 'liza_js_margin';
				$title_mar_data = 'data-marBottom="' . $title_margin . '"';
			} else {
				$title_mar_class = 'liza_albums_title_block_def_margin';
				$title_mar_data = '';
			}
			?>
			<div class="liza_title_breadcrumb_wrapper liza_blur_on_aside liza_js_bg_image <?php echo esc_attr($title_mar_class); ?>" data-src="<?php echo esc_url($title_block_image_src); ?>" <?php echo $title_mar_data; ?>>
				<div class="liza_title_breadcrumb_inner liza_container">
					<div class="liza_title">
						<h1 class="entry-title"><?php the_title(); ?></h1>
					</div>
				</div>
			</div>
			<?php

		}
		$imgCounter = 0;
		echo '
			<div class="liza_grid_wrapper_single liza_blur_on_aside liza_grid_wrapper liza_grid_'. esc_attr($uniqid) .'" 
				data-uniqid="'. esc_attr($uniqid) .'" 
				data-perload="'. esc_attr($items_per_load) .'">
				
				<div class="liza_grid_inner liza_isotope_trigger '. esc_attr($masonry_class).' grid_columns'. esc_attr($items_in_row).'" 
					data-pad="'. esc_attr($items_padding) .'" 
					data-perload="'. esc_attr($items_per_load) .'" 
					data-overlay="'. esc_attr($overlay_bg) .'">
		';

		foreach (liza_get_post_option('liza_albums_images') as $key => $image) {
			$photoCaption = '';
			$attach_meta = liza_get_attachment($image['ID']);
			$photoTitle = $attach_meta['caption'];
			$photoCaption = $attach_meta['description'];
			$photoAlt = $attach_meta['alt'];
			$PCREpattern = '/\r\n|\r|\n/u';
			$photoCaption = preg_replace($PCREpattern, '', nl2br($photoCaption));
			
			$featured_image = wp_get_attachment_url($image['ID']);
			if (strlen($featured_image[0]) > 0) {
				$featured_image_url = aq_resize(esc_url($featured_image), esc_attr($width), esc_attr($height), true, true, true);
			} else {
				$featured_image_url = '';
			}
			
			$featured_image = wp_get_attachment_image_src($image['ID'], 'original');

			$img_array['attach_id'] = $image['ID'];
			$img_array['slide_type'] = 'image';
			$img_array['title'] = $photoTitle;
			$img_array['alt'] = $photoAlt;
			$img_array['thmb'] = $featured_image_url;
			$img_array['url'] = $featured_image[0];
			$img_array['count'] = $imgCounter;
			$img_array['overlay_bg'] = esc_attr($overlay_bg);
			array_push($grid_array, $img_array);			
		}
		$post_per_page = $posts_first_load;
		if ($post_per_page > count($grid_array)) {
			$post_per_page = count($grid_array);
		}

		$i = 0;
		while ($i < $post_per_page) {
			if ($grid_array[$i]['slide_type'] == 'image') {
				$thishref = wp_get_attachment_url($grid_array[$i]['attach_id']);
				$thisvideoclass = '';
			} else if ($grid_array[$i]['slide_type'] == 'video') {
				$thishref = $grid_array[$i]['src'];
				$thisvideoclass = 'video_zoom';
			}
			$photoTitle = '';
			$photoTitle = $grid_array[$i]['title'];
			if (isset($photoTitle) && $photoTitle !== '') {
				$photoTitle = str_replace('"', "'", $photoTitle);
			}
			$photoAlt = $grid_array[$i]['alt'];
			$imgCounter = $grid_array[$i]['count'];
			$featured_image = $grid_array[$i]['url'];
			$img_thmb = $grid_array[$i]['thmb'];
			echo '
			<div class="grid-item element anim_el anim_el2 load_anim grid_b2p">
				<div class="grid-item-inner">
					<a class="swipebox" rel="grid_gallery'. esc_attr($uniqid) .'" href="'. esc_url($featured_image) .'" title="'. esc_attr($photoTitle) .'"></a>
					<img src="'. esc_url($img_thmb) .'" alt="'. esc_attr($photoAlt) .'"  class="grid_thmb"/>
					<div class="grid_overlay liza_js_bg_color" data-bgcolor="'. esc_attr($overlay_bg) .'"></div>
					<div class="liza-img-preloader"></div>
				</div>
			</div>';
			unset($grid_array[$i]);
			$i++;
		} //EoWhile First Load	
		echo '</div>';
		if (isset($grid_array) && count($grid_array) > 0) {
	
			echo '<div class="liza_grid_gallery_array" data-id = "'. esc_attr($uniqid) .'">';
				$i = 0;
				foreach ($grid_array as $image) {
					echo '<div class="liza_grid_array_item" 
							data-id = "'. esc_attr($uniqid) .'" 
							data-type = "' . esc_attr($image['slide_type']) . '" 
							data-img = "' . esc_url($image['url']) . '" 
							data-thmb = "' . esc_url($image['thmb']) . '" 
							data-title = "' . esc_attr($image['title']) . '" 
							data-alt = "' . esc_attr($image['alt']) . '" 
							data-overlay = "' . esc_attr($image['overlay_bg']) . '" 
							data-counter = "' . esc_attr($image['count']) . '">
						</div>';
				}
			echo '</div>';

			echo '<div class="grid_loadmore_wrapper"><a class="grid_load_more liza_button" href="'. esc_js("javascript:void(0)") .'">' . esc_attr($button_title) . '</a></div>';
		}
		echo '</div>';
		get_footer();
	}
	?>

	<?php
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}