<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/
if (!post_password_required()) {

	the_post();
	get_header();
	liza_get_breadcrumb();
	$liza_post_share_class = '';
	$liza_post_classes = array(
		'liza_container',
		'liza_blur_on_aside',
		liza_get_prefered_option('sidebar_position'),
		liza_get_post_option('header_padding', 'liza_footer_padding_yes'),
		liza_get_post_option('footer_padding', 'liza_footer_padding_yes')
	);
	?>
		<div id="post-<?php the_ID(); ?>" <?php post_class($liza_post_classes); ?>>
            <div class="liza_content_<?php echo((is_active_sidebar('sidebar') && (liza_get_prefered_option('sidebar_position') !== 'liza_no_sidebar')) ? 'w_sidebar' : 'no_sidebar'); ?> liza_content">
                <?php 
				if (get_post_format() !== 'quote') {
					echo liza_get_post_formats(); 
				}
				?>
                <div class="liza_meta">
                    <div><?php echo get_the_date(); ?></div>
                    <div><?php echo esc_attr__('by', 'liza'); echo ' '; the_author_posts_link(); ?></div>
                    <div><?php echo esc_attr__('in', 'liza'); echo ' '; the_category(', '); ?></div>
                </div>
                <?php 
				if (get_post_format() == 'quote') {
					echo liza_get_post_formats(); 
				}
				?>
                <div class="liza_tiny">
                    <?php the_content(); ?>
                </div>
                <div class="liza_subtiny">
                    <?php wp_link_pages(array('before' => '<div class="page-link">' . esc_html__('Pages', 'liza') . ': ', 'after' => '</div>')); ?>
                </div>
				<div class="liza_post_footer">
                <?php if (has_tag()) { ?>
                	<div class="liza_post_tags">
                    	
                    	<i class="fa fa-tag"></i><?php the_tags('', ', ', ''); ?>
                    </div>
				<?php 
                } else {
                    $liza_post_share_class = 'liza_post_share_centered';
                }?>
                    <div class="liza_post_share <?php echo esc_attr($liza_post_share_class); ?>">
						<a target="_blank"
						   href="<?php echo esc_url('https://www.facebook.com/share.php?u='. get_permalink()); ?>" class="share_facebook">
						   <span class="fa fa-facebook"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://twitter.com/intent/tweet?text='. get_the_title() .'&amp;url='. get_permalink()); ?>" class="share_twitter">
						   <span class="fa fa-twitter"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://plus.google.com/share?url='. get_permalink()); ?>" class="share_gplus">
						   <span class="fa fa-google-plus"></span>
						</a>
						<a target="_blank"
						   href="<?php echo esc_url('https://pinterest.com/pin/create/button/?url='. get_permalink()); ?>" class="share_pinterest">
						   <span class="fa fa-pinterest"></span>
						</a>
                    </div>
                </div>                
                <?php liza_prev_next_posts(); ?>
                <?php
				if (liza_get_prefered_option('featured_posts_status') == 'enabled') {
					liza_featured_posts(array(
						'post_type' => 'post',
						'orderby' => liza_get_prefered_option('featured_posts_orderby'),
						'numberposts' => liza_get_prefered_option('featured_posts_numberposts'),
						'featured_image' => liza_get_prefered_option('featured_posts_fimage_status'),
						'excerpt' => 'hide',
						'post_meta' => liza_get_prefered_option('featured_posts_meta_status'),
						'title' => 'show'
					));
				}
                ?>

                <?php comments_template(); ?>
            </div>
            <?php get_sidebar('sidebar'); ?>
		</div>
	
	<?php
	if (liza_get_post_option('footer_state', 'liza_yes_footer') == 'liza_yes_footer') {
		get_footer();
	} else {
		get_footer('empty');
	}
} else {
    get_header('gallery');
	lizaHelper::getInstance()->addJSToFooter('protected_page', '
		jQuery("html").addClass("liza_transparent_header liza_height_100");
		jQuery("body").css("background-image", "url(' . get_theme_mod('protected_bg_image', get_template_directory_uri() . '/img/null.png') . ')").addClass("liza_password_protected");
	');
    ?>

    <div class="liza_password_container">
        <div class="liza_password_form container">
            <?php the_content(); ?>
        </div>
    </div>

    <?php
    get_footer('empty');
}