<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

extract(
    shortcode_atts(
        array(
			'item_image' => '',
			'item_title' => '',
			'item_description' => '',
			'title_color' => '',
			'descr_color' => '',
			'link_type' => 'none',
			'item_link' => '',
			'button_text' => '',
			'button_color' => '',
            'custom_class' => ''
        ),
        $atts
    )
);


$compile = '';
$html = '';
$attach_meta = liza_get_attachment($item_image);
$photoAlt = $attach_meta['alt'];
$featured_image = esc_url(wp_get_attachment_url($item_image));

if ($link_type !== 'none') {
    $btn_link_temp = vc_build_link($item_link);
    $url = $btn_link_temp['url'];
    $link_title = $btn_link_temp['title'];
    $target = $btn_link_temp['target'];

    if ($url !== '') {
        $url = esc_url($url);
    } else {
        $url = '#';
    }
    if ($link_title !== '') {
        $link_title_part = 'title="' . esc_attr($link_title) . '"';
    } else {
        $link_title_part = '';
    }
    if ($target !== '') {
        $link_title_target = 'target="' . esc_attr($target) . '"';
    } else {
        $link_title_target = '';
    }	
}
$liza_link = '';
$liza_link_button = '';
if ($link_type == 'link_all_item') {
	$liza_link = '<a href="' . esc_url($url) . '" ' . esc_attr($link_title_part) . ' ' . esc_attr($link_title_target) . ' class="stripe_link"></a>';
}
if ($link_type == 'link_by_button') {
	$liza_link_button = '<a href="' . esc_url($url) . '" ' . esc_attr($link_title_part) . ' ' . esc_attr($link_title_target) . ' class="stripe_button_link liza_js_color" data-color="'. esc_attr($button_color) .'">'. esc_attr($button_text) .'<span class="button_sep liza_js_bg_color" data-bgcolor="'. esc_attr($button_color) .'"></span></a>';
}
$html .= '
	<div class="liza_stripes_item ' . esc_attr($custom_class) . '">
		<div class="liza_stripes_item_inner liza_js_bg_image" data-src="'. esc_url($featured_image) .'">			
			<div class="liza_stripe_content">
				<h2 class="stripes_title liza_js_color" data-color="'. esc_attr($title_color) .'">'. esc_attr($item_title) .'</h2>
				<div class="stripes_descr liza_js_color" data-color="'. esc_attr($descr_color) .'">'. esc_attr($item_description) .'</div>
				'. $liza_link_button .'
			</div>
			'. $liza_link .'
		</div>
	</div>';
echo $html;