<?php
/*
 * Created by Pixel-Mafia
 * www.pixel-mafia.com
*/

extract(
    shortcode_atts(
        array(
            'custom_css' => '',
            'custom_class' => ''
        ),
        $atts
    )
);

#CSS
wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/css/owl.carousel.css');

#JS
wp_enqueue_script('pm-testimonials', get_template_directory_uri() . '/js/pm_testimonials.js', true, false, true);

$css_class = apply_filters(VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, vc_shortcode_custom_css_class($custom_css, ' '), $this->settings['base'], $atts);

$uniqid = mt_rand(0, 9999);

$compile = '';
$html = '';
$html .= '
	<div class="liza_testimonials_flow liza_testimonials_flow'. esc_attr($uniqid) .' ' . esc_attr($custom_class) . esc_attr($css_class) . '" data-uniqid="'. esc_attr($uniqid) .'">
		<div class="liza_testimonials_flow_inner">
			' .	do_shortcode($content) . '
		</div>
		<div class="liza_testimonials_flow_dots"></div>
		<a href="'. esc_js("javascript:void(0)") .'" class="liza_testimonials_flow_prev"></a>
		<a href="'. esc_js("javascript:void(0)") .'" class="liza_testimonials_flow_next"></a>
	</div>';
echo $html;